net.sourceforge.pmd.lang.jsp.ast

## Class JspPageStyleTest

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.AbstractJspNodesTst
  - - net.sourceforge.pmd.lang.jsp.ast.JspPageStyleTest

    public class JspPageStyleTest
    extends AbstractJspNodesTst

### Constructor Summary

Constructors
Constructor and Description
`JspPageStyleTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testComment()` Test parsing of a JSP comment.
`void` `testDeclaration()` Test parsing of a JSP declaration.
`void` `testDirective()` Test parsing a JSP directive.
`void` `testElExpression()` Test parsing of a EL expression.
`void` `testElExpressionInAttribute()` Test parsing of a EL expression in an attribute.
`void` `testExpression()` Test parsing of a JSP expression.
`void` `testExpressionInAttribute()` Test parsing of a JSP expression in an attribute.
`void` `testJsfValueBinding()` Test parsing of a EL expression in an attribute.
`void` `testScriptlet()` Test parsing of a JSP scriptlet.

### Methods inherited from class net.sourceforge.pmd.lang.jsp.ast.AbstractJspNodesTst

`assertNumberOfNodes, getNodes, getNodesOfType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspPageStyleTest

    public JspPageStyleTest()

### Method Detail

#### testComment

    public void testComment()

Test parsing of a JSP comment.

#### testDirective

    public void testDirective()

Test parsing a JSP directive.

#### testDeclaration

    public void testDeclaration()

Test parsing of a JSP declaration.

#### testScriptlet

    public void testScriptlet()

Test parsing of a JSP scriptlet.

#### testExpression

    public void testExpression()

Test parsing of a JSP expression.

#### testExpressionInAttribute

    public void testExpressionInAttribute()

Test parsing of a JSP expression in an attribute.

#### testElExpression

    public void testElExpression()

Test parsing of a EL expression.

#### testElExpressionInAttribute

    public void testElExpressionInAttribute()

Test parsing of a EL expression in an attribute.

#### testJsfValueBinding

    public void testJsfValueBinding()

Test parsing of a EL expression in an attribute.

#### suite

    public static junit.framework.Test suite()